Docs

Search documentation

Server · next

Loading search…

日本語

This documentation describes the Server currently in development.

Shumoku Server API · 0.3.0-beta.2 · Credentials

Create a credential, or link an identical existing one to the topologies

OpenAPI source
POST /api/credentials

Authentication

sessionCookie / bearerAuth

Request body

CreateCredential · application/json · required

Responses

Status Description Schema
200 An identical credential existed; the topologies were linked to it CreateCredentialResult
201 Credential created CreateCredentialResult
400 The request did not match the API contract Error
404 Credential or topology not found Error
409 Conflict, e.g. a credential with this name already exists Error
500 Credential operation failed Error

apps/server/api/openapi.json